Bug 138669 - keybindings dialog crashes at startup
keybindings dialog crashes at startup
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 11:40 EST by Joe Orton
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 17:08:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 156888 None None None Never

  None (edit)
Description Joe Orton 2004-11-10 11:40:48 EST
Description of problem:
Preferences -> Keyboard Shortcuts crashes at startup approx 2 out of 3
times I run it.

Version-Release number of selected component (if applicable):
control-center-2.8.0-12.i386

How reproducible:
66% of the time

Steps to Reproduce:
1. run
  
Actual results:
crash

Expected results:
no crash
Backtrace was generated from '/usr/bin/gnome-keybinding-properties'

(no debugging symbols found)...Using host libthread_db library
"/lib/tls/libthread_db.so.1".
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...[Thread debugging using libthread_db enabled]
[New Thread -151148864 (LWP 17210)]
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...0x004c67a2
in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#0  0x004c67a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x007293d3 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#2  0x050a9f50 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x00863169 in g_str_hash () from /usr/lib/libglib-2.0.so.0
#5  0x008414ef in g_hash_table_lookup () from /usr/lib/libglib-2.0.so.0
#6  0x08051f7e in gnome_theme_info_new ()
#7  0x04f32cc0 in _gnome_vfs_monitor_do_cancel ()
   from /usr/lib/libgnomevfs-2.so.0
#8  0x0084ea98 in g_child_watch_add () from /usr/lib/libglib-2.0.so.0
#9  0x0084b74b in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#10 0x0084d1d2 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
#11 0x0084d47f in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#12 0x0020b78e in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#13 0x0804e405 in main ()

Thread 1 (Thread -151148864 (LWP 17210)):
#0  0x004c67a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
No symbol table info available.
#1  0x007293d3 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x050a9f50 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x00863169 in g_str_hash () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#5  0x008414ef in g_hash_table_lookup () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#6  0x08051f7e in gnome_theme_info_new ()
No symbol table info available.
#7  0x04f32cc0 in _gnome_vfs_monitor_do_cancel ()
   from /usr/lib/libgnomevfs-2.so.0
No symbol table info available.
#8  0x0084ea98 in g_child_watch_add () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#9  0x0084b74b in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#10 0x0084d1d2 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#11 0x0084d47f in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#12 0x0020b78e in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#13 0x0804e405 in main ()
No symbol table info available.




Additional info:
Comment 1 Jonathan Underwood 2004-12-03 12:43:30 EST
Sorry, not much extra help, beyond a "me too" on a freshly installed
and updated FC3. Saw the same thing on a fresh install before
downloading all updates, also.
Comment 2 Jonathan Underwood 2004-12-06 09:01:21 EST
Following more investigation, I tracked down what I believe is the
root of the problem I am seeing, and I suspect is very similar in
origin to that that Jef Spaleta is seeing - see bug 129098. 

From a clean FC3 install, and a brand new account,
gnome-keybinding-properties functions ok. If one
opens gnome-keyboard-properties and adds "Make CapsLock an additional
Control" and subsequently tries to open gnome-keybinding-properties,
it now segfaults. Similarly with gnome-theme-manager. So, it's a bug
with the way that gnome-keyboard-properties is interacting with
gnome-keybinding-properties and g-t-m.

This is probably due to the bug reported upstream:
http://bugzilla.gnome.org/show_bug.cgi?id=156888
Comment 3 Matthew Miller 2006-07-10 19:40:48 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 John Thacker 2006-10-30 17:08:40 EST
Seems to be fixed on FC4 and forwards.  Since FC3 is supported by Fedora Legacy
only for security updates, closing.

Note You need to log in before you can comment on or make changes to this bug.